program adj_seismogram

  implicit none

  integer :: ios,irec,NSTEP
  real(kind=4),dimension(:),allocatable :: syn,dat,adj
  integer(kind=4) :: r4head(60)
  integer(kind=4) :: header4(1)
  integer(kind=2) :: header2(2)
  equivalence(header2,header4)
  character(len=512) :: filename

  ! read NSTEP
  filename="Ux_file_single.bin"
  open(111,file="./OUTPUT_FILES/"//trim(filename)//".syn",access='direct',recl=240,iostat = ios)
           if (ios /= 0) stop 'file containing adjoint sources does not exist'
  read(111,rec=1,iostat=ios) r4head
           if (ios /= 0) stop 'read error syn'
  header4=r4head(29)
  print*, 'irec=',r4head(1)
  print*, 'xs=',r4head(19)
  print*, 'zs=',r4head(20)
  print*, 'xr=',r4head(21)
  print*, 'zr=',r4head(22)
  print*, 'NSTEP=',header2(2)
  NSTEP=header2(2)
  allocate(syn(NSTEP),dat(NSTEP),adj(NSTEP))
  close(111)

  ! read 'syn', 'dat' and then write 'adj'
  filename="Ux_file_single.bin"
  open(111,file="./OUTPUT_FILES/"//trim(filename)//".syn",access='direct',recl=240+4*NSTEP,iostat = ios)
           if (ios /= 0) stop 'file containing adjoint sources does not exist'
  open(112,file="./OUTPUT_FILES/"//trim(filename)//".dat",access='direct',recl=240+4*NSTEP,iostat = ios)
           if (ios /= 0) stop 'file containing adjoint sources does not exist'
  open(113,file="./SEM/"//trim(filename)//".adj",access='direct',recl=240+4*NSTEP,iostat = ios)
           if (ios /= 0) stop 'file containing adjoint sources does not exist'

  irec=1
  do while(ios==0)
     read(111,rec=irec,iostat=ios) r4head,syn
              if (ios /= 0) cycle
     read(112,rec=irec,iostat=ios) r4head,dat
              if (ios /= 0) cycle
     write(113,rec=irec,iostat=ios) r4head,syn-dat
              if (ios /= 0) cycle
     irec=irec+1
  enddo
  close(111)
  close(112)
  close(113)


  filename="Uz_file_single.bin"
  open(111,file="./OUTPUT_FILES/"//trim(filename)//".syn",access='direct',recl=240+4*NSTEP,iostat = ios)
           if (ios /= 0) stop 'file containing adjoint sources does not exist'
  open(112,file="./OUTPUT_FILES/"//trim(filename)//".dat",access='direct',recl=240+4*NSTEP,iostat = ios)
           if (ios /= 0) stop 'file containing adjoint sources does not exist'
  open(113,file="./SEM/"//trim(filename)//".adj",access='direct',recl=240+4*NSTEP,iostat = ios)
           if (ios /= 0) stop 'file containing adjoint sources does not exist'

  irec=1
  do while(ios==0)
     read(111,rec=irec,iostat=ios) r4head,syn
              if (ios /= 0) cycle
     read(112,rec=irec,iostat=ios) r4head,dat
              if (ios /= 0) cycle
     write(113,rec=irec,iostat=ios) r4head,syn-dat
              if (ios /= 0) cycle
     irec=irec+1
  enddo
  close(111)
  close(112)
  close(113)

end program adj_seismogram
